Subject: multifile patch bug
From: [email-masked] (Bernard Collins)

11 Mar 1997 14:00:23 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

In trying to apply a multifile patch, I ran into a problem that appears
to be a bug in patch.exe. I am compiling gnuplot with ms vc++ 4.2. The
latest distribution is beta 327 with a patch update to version 328. It
can be found at 
ftp://cmpc1.phys.soton.ac.uk/pub/

The patch file is a diff of several files. When I try
patch < gp327_328.diff
patch gets through the first two file updates fine. But on the third, it
just halts, without an error message. There are several more files that
need to be patched, but they are never touched.

When I try the same operation with another win32 port of patch, obtained
from
http://www.simtel.net/pub/simtelnet/win95/prog/gpatch2b.zip
The whole update completes without a problem.

I have not investigated the problem any further than this. Please cc any
replies to me directly, as I do not subscribe to this list.

Thanks,
Skip Collins
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".